
%define name	vaapi-driver-vdpau
%define oname	vdpau-video
%define version	0.7.3
%define rel	2

Summary:	VA-API driver for VDPAU interface
Name:		%{name}
Version:	%{version}
Release:	%mkrel %rel
Group:		Video
License:	GPLv2+
URL:		http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/
Source:		http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/%{oname}-%{version}.tar.gz
BuildRequires:	libva-devel
BuildRequires:	vdpau-devel
Provides:	%oname

%description
VDPAU driver backend for VA API, a video acceleration API.

%prep
%setup -q -n %oname-%version
# apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/dri/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_libdir}/dri/*_drv_video.so


%changelog
* Fri May 13 2011 ahmad <ahmad> 0.7.3-2.mga1
+ Revision: 98037
- Drop the video-mesa patch, looks fixed upstream and the package does build
  without it

* Fri May 13 2011 ahmad <ahmad> 0.7.3-1.mga1
+ Revision: 98032
- Update to 0.7.3
- Rediff the video-mesa patch
- Adjust the files list, libs are now in {_libdir}/dri/

  + mikala <mikala>
    - imported package vaapi-driver-vdpau


* Wed Nov 17 2010 Anssi Hannula <anssi@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 598479
- new version
- fix build with current mesa (mesa.patch)

* Mon Jul 19 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-3mdv2011.0
+ Revision: 555025
- rebuild for new libva

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-2mdv2011.0
+ Revision: 551466
- add provides on  vdpau-video

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-1mdv2011.0
+ Revision: 551392
- initial Mandriva release

